# Alert rules this account's own history would support

Source: https://docs.levelfour.ai/api-reference/cost-alerts/get-cost-alerts-suggestions-by-id


## GET /api/v1/cost-alerts/suggestions/{account_id}

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `account_id` (path, string, required)

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `generated_at` (string, required)
  - `source` (object, required)
    - `provider` (string, required)
    - `account_id` (string, required)
    - `alias` (string, required)
    - `currency` (string, required)
    - `connected_at` (string, required)
  - `baseline` (object, required)
    - `months_available` (integer, required)
    - `last_closed_month` (string, required)
    - `last_closed_spend` (string, required)
    - `trailing_3m_avg` (string, required)
    - `resource_ids_available` (boolean, required)
    - `maturity` (one of `none`, `partial`, `full`, required)
    - `calibration` (array of object, required)
      - `deviation_pct` (integer, required)
      - `firings` (integer, required)
  - `suggestions` (array of object, required)
    - `id` (string, required)
    - `name` (string, required)
    - `params` (object, required)
    - `source_id` (string, required)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
